Firewall (Template)
3 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getFirewallSettingTemplate | GET | Get firewall template setting |
| modifyFirewallSettingTemplate | PATCH | Modify firewall template setting |
| resetFirewallSettingTemplate | PATCH | Reset firewall template setting |
getFirewallSettingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/firewall
Get firewall template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getFirewallSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get firewall template setting.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyFirewallSettingTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/firewall
Modify firewall template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema FirewallSetting
| Field | Type | Required | Description |
|---|---|---|---|
icmp | integer | yes | ICMP should be within the range of 1–2097151. |
other | integer | yes | Other should be within the range of 1–2097151. |
tcpClose | integer | yes | TCP close should be within the range of 1–2097151. |
tcpCloseWait | integer | yes | TCP close wait should be within the range of 1–2097151. |
tcpEstablished | integer | yes | TCP established should be within the range of 1–2097151. |
tcpFinWait | integer | yes | TCP FIN wait should be within the range of 1–2097151. |
tcpLastAck | integer | yes | TCP last ACK should be within the range of 1–2097151. |
tcpSynReceive | integer | yes | TCP SYN receive should be within the range of 1–2097151. |
tcpSynSent | integer | yes | TCP SYN sent should be within the range of 1–2097151. |
tcpTimeWait | integer | yes | TCP time wait should be within the range of 1–2097151. |
udpOther | integer | yes | UDP other should be within the range of 1–2097151. |
udpStream | integer | yes | UDP stream should be within the range of 1–2097151. |
broadcastPing | boolean | yes | Broadcast ping of the firewall setting. |
receiveRedirects | boolean | yes | Receive redirects of the firewall setting. |
sendRedirects | boolean | yes | Send redirects of the firewall setting. |
synCookies | boolean | yes | SYN Cookies of the firewall setting. |
// omada_call_operation
{
"operationId": "modifyFirewallSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify firewall template setting.
The interface requires one of the permissions:
Global Site Template Manager Modify
resetFirewallSettingTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/firewall/reset
Reset firewall template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "resetFirewallSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Reset firewall template setting.
The interface requires one of the permissions:
Global Site Template Manager Modify